> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer un modèle

> Créer un nouveau modèle.



## OpenAPI

````yaml /fr/serverless-training/api-reference/openapi.json post /v1/preview/models
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers: []
security: []
paths:
  /v1/preview/models:
    post:
      tags:
        - models
      summary: Créer un modèle
      description: Créer un nouveau modèle.
      operationId: create_model_v1_preview_models_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelCreate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelResponse'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - HTTPBearer: []
components:
  schemas:
    ModelCreate:
      description: Schéma pour la création d’un nouveau modèle.
      properties:
        base_model:
          description: >-
            Identifiant du modèle de base ou chemin du modèle HuggingFace à
            partir duquel effectuer le fine-tuning
          examples:
            - OpenPipe/Qwen3-14B-Instruct
          title: Base Model
          type: string
        entity:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Teams ou nom d’utilisateur du développeur dont la clé API W&B est
            utilisée
          examples:
            - my-team
          title: Entity
        name:
          description: Nom unique du modèle au sein du projet
          examples:
            - my-awesome-model
          title: Name
          type: string
        project:
          description: Nom du projet dans W&B où le modèle sera stocké
          examples:
            - my-awesome-project
          title: Project
          type: string
        return_existing:
          default: false
          description: >-
            Si la valeur est true, renvoie le modèle existant si un modèle
            portant le même nom existe déjà, au lieu d’en créer un nouveau
          title: Return Existing
          type: boolean
      required:
        - project
        - name
        - base_model
      title: ModelCreate
      type: object
    ModelResponse:
      description: Schéma de la réponse du modèle.
      properties:
        base_model:
          title: Base Model
          type: string
        entity:
          title: Entity
          type: string
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        project:
          title: Project
          type: string
        run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Id
      required:
        - id
        - entity
        - project
        - name
        - base_model
      title: ModelResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````